summaryrefslogtreecommitdiff
path: root/dev-python/yara-python/yara-python-4.2.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-23 12:48:52 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-23 12:48:52 +0000
commit032a7ce295a1da25816c39cf1e579f2550d1ba66 (patch)
treec49aa4cda0fc19e239619b99cd1b810e8d44ad77 /dev-python/yara-python/yara-python-4.2.3.ebuild
parent0ef49ddebd4614eb92d89a84fb5f5c6d60c18d31 (diff)
downloadbaldeagleos-repo-032a7ce295a1da25816c39cf1e579f2550d1ba66.tar.gz
baldeagleos-repo-032a7ce295a1da25816c39cf1e579f2550d1ba66.tar.xz
baldeagleos-repo-032a7ce295a1da25816c39cf1e579f2550d1ba66.zip
Adding metadata
Diffstat (limited to 'dev-python/yara-python/yara-python-4.2.3.ebuild')
-rw-r--r--dev-python/yara-python/yara-python-4.2.3.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/yara-python/yara-python-4.2.3.ebuild b/dev-python/yara-python/yara-python-4.2.3.ebuild
new file mode 100644
index 000000000000..111529a025f1
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.2.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python"
+SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+RDEPEND="${PYTHON_DEPS}
+ =app-forensics/yara-$(ver_cut 1-2)*"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ cat >> setup.cfg <<-EOF
+ [build_ext]
+ dynamic-linking = True
+ EOF
+}
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}